/* -*- Mode: JDE; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * This file is part of the debugger and core tools for the AspectJ(tm)
 * programming language; see http://aspectj.org
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * either http://www.mozilla.org/MPL/ or http://aspectj.org/MPL/.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is AspectJ.
 *
 * The Initial Developer of the Original Code is Xerox Corporation. Portions
 * created by Xerox Corporation are Copyright (C) 1999-2002 Xerox Corporation.
 * All Rights Reserved.
 */

package org.aspectj.debugger.gui;

public interface Titles {
    public final static String WATCHES                  = "Watches";
    public final static String THREADS                  = "Threads";
    public final static String VARIABLES                = "Variables";
    public final static String BREAKPOINTS              = "Breakpoints";
    public final static String FORTE_DEBUGGER_WINDOW    = "Debugger Window";
    public final static String JBUILDER_DEBUGGER_WINDOW = "AspectJ Debugger for JBuilder";
    public final static String IO                       = "Output";
    public final static String CLASSES                  = "Classes";
}
