
/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * This file is part of the IDE support for the AspectJ(tm)
 * programming language; see http://aspectj.org
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * either http://www.mozilla.org/MPL/ or http://aspectj.org/MPL/.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is AspectJ.
 *
 * The Initial Developer of the Original Code is Xerox Corporation. Portions
 * created by Xerox Corporation are Copyright (C) 1999-2002 Xerox Corporation.
 * All Rights Reserved.
 *
 * Contributor(s):
 */

package org.aspectj.ajde.ui.swing;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public interface AjdeWidgetStyles {

	public static final Font DEFAULT_LABEL_FONT = new java.awt.Font("SansSerif", 0, 11);
	public static final Border DEFAULT_BORDER = BorderFactory.createEmptyBorder();
    public static final Border LOWERED_BEVEL_BORDER = BorderFactory.createBevelBorder(BevelBorder.LOWERED);
    public static final Border RAISED_BEVEL_BORDER = BorderFactory.createBevelBorder(BevelBorder.RAISED);
	public static final Color DEFAULT_BACKGROUND_COLOR = Color.lightGray;
	
	public static final Color LINK_NODE_COLOR = new Color(0, 0, 255);
	public static final Color LINK_NODE_NO_SOURCE_COLOR = new Color(150, 150, 255);
	
}
